﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;

namespace IDEControls
{
    public class CodingTabPage : TabPage
    {
        DevControl devControl;

        private string filename = null;

        public string Filename
        {
            get { return filename; }
            set { filename = value; }
        }
        public CodingTabPage(int newNumber)
        {
            createNewDevControl();
            Text = "new" + newNumber;
        }
        public CodingTabPage(string loadFileName, string code)
        {
            createNewDevControl();
            devControl.SetText(code);
            Text = loadFileName;
        }

        private void createNewDevControl()
        {
            devControl = new DevControl();
            devControl.Dock = DockStyle.Fill;
            this.Controls.Add(devControl);
        }

        public DevControl getDevControl()
        {
            return devControl;
        }

        public void undo()
        {
            
        }

        public void redo()
        {

        }
    }
}
